Package com.independentsoft.json.parser

# Class JsonObject

java.lang.Object
com.independentsoft.json.parser.JsonObject

All Implemented Interfaces:
  `JsonValue`

public class JsonObject extends Object implements JsonValue

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals​(Object obj)`
  `List<JsonValue>`
  `getArrayValues​(String name)`
  `boolean`
  `getBooleanValue​(String name)`
  `Date`
  `getDateTimeValue​(String name)`
  `double`
  `getDoubleValue​(String name)`
  `float`
  `getFloatValue​(String name)`
  `int`
  `getIntValue​(String name)`
  `long`
  `getLongValue​(String name)`
  `List<Member>`
  `getMembers()`
  `JsonObject`
  `getObjectValue​(String name)`
  `List<String>`
  `getStringArrayValues​(String name)`
  `String`
  `getStringValue​(String name)`
  `JsonValue`
  `getValue​(String name)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JsonObject

    public JsonObject()

- ## Method Details

  - ### getMembers

    public List<Member> getMembers()

  - ### getDoubleValue

    public double getDoubleValue​(String name)

  - ### getFloatValue

    public float getFloatValue​(String name)

  - ### getLongValue

    public long getLongValue​(String name)

  - ### getIntValue

    public int getIntValue​(String name)

  - ### getStringValue

    public String getStringValue​(String name)

  - ### getDateTimeValue

    public Date getDateTimeValue​(String name)

  - ### getBooleanValue

    public boolean getBooleanValue​(String name)

  - ### getObjectValue

    public JsonObject getObjectValue​(String name)

  - ### getValue

    public JsonValue getValue​(String name)

  - ### getStringArrayValues

    public List<String> getStringArrayValues​(String name)

  - ### getArrayValues

    public List<JsonValue> getArrayValues​(String name)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals​(Object obj)
    Overrides:
      `equals` in class `Object`